%global debug_package %{nil}

Name:           ocamlify
Version:        0.0.2
Release:        4%{?dist}
Summary:        Include files in OCaml code

License:        LGPLv2+ with exceptions
URL:            http://ocamlify.forge.ocamlcore.org/
Source0:        https://forge.ocamlcore.org/frs/download.php/1209/%{name}-%{version}.tar.gz

# rerun `oasis setup` using OASIS 0.4.11
Patch0:         oasis-setup.patch

BuildRequires:  ocaml
BuildRequires:  ocaml-ocamlbuild
BuildRequires:  ocaml-findlib
BuildRequires:  help2man

%description
OCamlify allows to create OCaml source code by including whole files into
OCaml string or string list. The code generated can be compiled as a standard
OCaml file. It allows embedding external resources as OCaml code.


%prep
%setup -q -n %{name}-%{version}
%patch0 -p 1


%build
ocaml setup.ml -configure \
    --destdir $RPM_BUILD_ROOT \
    --prefix %{_prefix}
ocaml setup.ml -build


%install
ocaml setup.ml -install

# generate manpage
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1/
help2man $RPM_BUILD_ROOT%{_bindir}/ocamlify \
    --output $RPM_BUILD_ROOT%{_mandir}/man1/ocamlify.1 \
    --name "Include files in OCaml code" \
    --version-string %{version} \
    --no-info

%check
ocaml setup.ml -test


%files
%doc README.txt
%license COPYING.txt
%{_bindir}/ocamlify
%{_mandir}/man1/ocamlify.1*


%changelog
* Mon Jun 25 2018 Andy Li <andy@onthewings.net> - 0.0.2-4
- Update oasis-setup.patch with _oasis CompiledObject set to "best" (RHBZ#1593408).

* Tue May 29 2018 Andy Li <andy@onthewings.net> - 0.0.2-3
- Apply a patch that contains the new setup.ml generated by OASIS 0.4.11 (RHBZ#1583335).

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Nov 08 2017 Andy Li <andy@onthewings.net> - 0.0.2-1
- Initial RPM release.
